# norootforbuild

%define		realname	mpc

Name:		mpclient
Version:	0.20
Release:	1.pm.1.2

Summary:	A minimalist command line interface to MPD
URL:		http://mpd.wikia.com/wiki/Music_Player_Daemon_Wiki
Group:		Productivity/Multimedia/Sound/Utilities
License:	GPL

Source:		%{realname}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{realname}-%{version}-%{release}-buildroot

BuildRequires:	libmpdclient-devel pkgconfig

Obsoletes:	%{realname}
Provides:	%{realname}


%description
A client for MPD, the Music Player Daemon. mpc connects to a MPD
running on a machine via a network. Accepts input on standard input,
so can be easily used in scripts.




%prep
%setup -q -n %{realname}-%{version}


%build
%configure \
		--with-default-host=127.0.0.1 \
		--docdir=%{_docdir}/%{realname}

%__make %{?_smp_mflags}


%install
%makeinstall
%{__install} -m 0755 doc/mpd-pls-handler.sh %{buildroot}%{_bindir}/mpd-pls-handler
%{__install} -m 0755 doc/mpd-m3u-handler.sh %{buildroot}%{_bindir}/mpd-m3u-handler
%{__install} -m 0755 doc/mppledit %{buildroot}%{_bindir}/mppledit


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%dir %{_docdir}/mpc
%doc %{_docdir}/mpc/*
%{_bindir}/%{realname}
%{_bindir}/mpd-m3u-handler
%{_bindir}/mpd-pls-handler
%{_bindir}/mppledit
%{_mandir}/man1/%{realname}.1*


%changelog
* Thu Jan 14 2010 detlef@links2linux.de
- new upstream version <0.19>
  * require libmpdclient 2.2
  * reactivate "search filename"
  * MixRamp support
  * support --format with "ls" and "listall"
  * new command "clearerror"
  * implement "current --wait"
  * command "add": print the failed song
* Thu Dec 17 2009 detlef@links2linux.de
- rename to mpclient
* Mon Dec  7 2009 detlef@links2linux.de
- new upstream version <0.19>
  * search: fix "mpc search any"
  * idle: flush output after each idleloop iteration
  * added command "sticker" (MPD 0.15)
  * added command "replaygain" (MPD 0.16)
  * implemented position, id for --format
  * fixed bash completion
* Tue Aug 18 2009 detlef@links2linux.de
- new upstream version <0.17>
  * fixed busy loop while waiting for "idle" response
  * added command "idleloop"
* Thu Jul 23 2009 detlef@links2linux.de
- new upstream version <0.16>
  * added command "current"
  * support the new MPD modes "consume" and "single"
  * added command "idle"
* Mon Feb  2 2009 detlef@links2linux.de
- new upstream version <0.15>
  * optimized and simplified the "add" command, don't obtain and print
    song list when adding directories
  * same optimization for the "ls" command, which did some very
    expensive underscore matching logic using "listall"
  * show MPD error message in "status"
  * fixed special character handling in bash completion
  * fixed two crash bugs due to wrong string pool usage
  * don't fall back to ISO-Latin-1 in unknown locale
  * disable character set conversion to/from pipe
  * fix memory leak in songToFormatedString()
  * fix memory leak in charset_set()
  * Sat Dec 20 2008 - Detlef Reichelt <detlef@links2linux.de> <0.14>-<0.pm.1>
- new upstream version <0.14>
  * Support for date, genre, composer, performer, disc, and comment
  * Added "mpc find"
  * Added "mpc list"
* Tue Mar 27 2007 detlef@links2linux.de
- new upstream version
* Thu Sep 28 2006 detlef@links2linux.de
- new upstream version
* Mon Aug 21 2006 detlef@links2linux.de
- install file-handler
* Sun Aug 13 2006 detlef@links2linux.de
- new upstream version
* Tue Mar 23 2004 malakhanov@gmx.de
- modified for SUSE/Packman
* Wed Mar 10 2004 gbpeck@sbcglobal.net
- Update URL
- Rebuild for official release
* Mon Mar  8 2004 gbpeck@sbcglobal.net
- Version 0.10.1
* Wed Mar  3 2004 gbpeck@sbcglobal.net
- Version 0.10.0
* Fri Feb  6 2004 gbpeck@sbcglobal.net
- Rebuild with mach
* Thu Oct 30 2003 gbpeck@sbcglobal.net
- Version 0.9.2
* Tue Oct  7 2003 gbpeck@sbcglobal.net
- Version 0.9.1
* Tue Sep 30 2003 gbpeck@sbcglobal.net
- Version 0.9.0
* Thu Aug 14 2003 gbpeck@sbcglobal.net
- Initial build
